# markdown-list [![NPM version](https://img.shields.io/npm/v/markdown-list.svg)](https://www.npmjs.com/package/markdown-list) [![Build Status](https://img.shields.io/travis/jonschlinkert/markdown-list.svg)](https://travis-ci.org/jonschlinkert/markdown-list)

> Render a markdown-formatted bullet list from an array or object.

- [Install](#install)
- [Usage](#usage)
- [Related projects](#related-projects)
- [Running tests](#running-tests)
- [Contributing](#contributing)
- [Author](#author)
- [License](#license)

_(TOC generated by [verb](https://github.com/verbose/verb) using [markdown-toc](https://github.com/jonschlinkert/markdown-toc))_

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm i markdown-list --save
```

## Usage

```js
var list = require('markdown-list');
```

Reformats a string list, or converts an array to a string list.

**Examples**

All of the following:

```js
list('foo\nbar\nbaz');
list('*foo\n*bar\n*baz');
list(['foo', 'bar', 'baz']);
```

Result in:

```
- foo
- bar
- baz
```

**Fixes bullets**

```js
list('*foo\n- bar');
```

Results in:

```
- foo
- bar
```

**Detects and fixes bullet levels**

```js
list('*foo\n - bar\n *baz');
```

Results in:

```
- foo
  * bar
  * baz
```

## Related projects

* [bullets](https://www.npmjs.com/package/bullets): Generate a plain-text and markdown formatted lists or tables of contents, with proper indentation, bullets,… [more](https://www.npmjs.com/package/bullets) | [homepage](https://github.com/jonschlinkert/bullets)
* [deromanize](https://www.npmjs.com/package/deromanize): Convert roman numerals to arabic numbers (useful for books, outlines, documentation, slide decks, etc) | [homepage](https://github.com/jonschlinkert/deromanize)
* [list-item](https://www.npmjs.com/package/list-item): Generate a single formatted list item, allowing you to easily generate lists with proper indentation,… [more](https://www.npmjs.com/package/list-item) | [homepage](https://github.com/jonschlinkert/list-item)
* [romanize](https://www.npmjs.com/package/romanize): Convert numbers to roman numerals (useful for books, outlines, documentation, slide decks, etc) | [homepage](https://github.com/jonschlinkert/romanize)
* [to-list](https://www.npmjs.com/package/to-list): Parse a string into a list object with text and level properties. | [homepage](https://github.com/jonschlinkert/to-list)

## Running tests

Install dev dependencies:

```sh
$ npm i -d && npm test
```

## Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/markdown-list/issues/new).

## Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License

Copyright © 2016 [Jon Schlinkert](https://github.com/jonschlinkert)
Released under the MIT license.

***

_This file was generated by [verb](https://github.com/verbose/verb) on January 19, 2016._